---
title: Samuel Širotník 
published: true
date: 01-02-2014
taxonomy:
    category: [bp2021]
    tag: [raspberrypi,cloud]
    author: Daniel Hladek
---
# Samuel Širotník

Rok začiatku štúdia: 2018

## Bakalársky projekt 2020

Pokusný klaster Raspberry Pi pre výuku klaudových technológií

1. Vypracujte teoretický úvod do technológie Kubernetes
2. Vytvorte pokusný klaster pomocou viacerých modulov Raspberry Pi a nainštalujte na neho Kubernmetes
3. Vypracujte podrobný návod na zostavenie hardvérovej časti
4. Vypracujte podrobný návod na inštaláciu softvéru - operačného systému a súčastí Kubernetes.

Cieľ projektu je vytvoriť domáci lacný klaster pre výuku cloudových technológií.


Zásobník úloh:

- Aktivujte si technológiu WSL2 a Docker Desktop ak používate Windows.

Stretnutie 27.11.

Stav:

- Prebratá zásielka
- Je potrebné ešte prebrať switch a ethernet káble.


Úlohy na ďalšie stretnutie:

- Zostaviť HW.

![Zasielka](./zasielka1-sirotnik-rpi.jpg)

- 4 x Raspberry Pi4
- 4 x Cluster Case
- 1 x USBC kábel
- 4 x 128GB SD karta
- 1 x zdroj EPICO 60W

![Zasielka](./zasielka2-sirotnik-switch.jpg)

- 1 x switch 5 port TP Link
- 4 x ethernet kábel
- 1 x zdroj EPICO 60W
- 1 x zásuvka s vypínačom

Virtuálne stretnutie 13.11.

Stav:

- Nainštalovaný microk8s.
- Prečítané tutoriály - install microk8s, oficiálny k8s tutoriál [Kubernetes Basics]( https://kubernetes.io/docs/tutorials/kubernetes-basics/).


Do ďalšieho stretnutia:

- Urobte si viac kópí virtuálne stroje RPiOS pre simuláciu klastra.
- Na virtuálny stroj RPiOS nainštalujte Docker a kubernetes. Skúste aj v klaster móde.
- Odoslať a prebrať HW (ďalší týždeň utorok najneskôr).
- Pokračovať v oficiálnom K8s tutoriáli. 


Virtuálne stretnutie 30.10.

Stav:
- vypracovaný písomný prehľad podľa pokynov
- nainštalovaný RaspberryPI OS do Virtual\boxu
- vypracovaný predbežný HW návrh
- Nainštalované Docker Toolbox aj Ubuntu s Dockerom
- Oboznámenie sa s Dockerom
- Vedúci: vykonaný nákup HW - Dosky 5x RPi4 model B 8GB, SD Karty 128GB 11ks, the pi hut Cluster Case for raspberry pi 4ks, Zdroj 60W and 18W Quick Charger Epico 1ks. 220V kábel a zásuvka s vypínačom.

Do budúceho stretnutia:

- Dá sa kúpiť oficiálmy 5 portový switch?
- Skompletizovať nákup a dohodntúť spôsob odovzdania. Podpísať preberací protokol.
- Použite https://kind.sigs.k8s.io na simuláciu klastra.
- Nainštalujte si https://microk8s.io/ , prečítajte tutoriály  https://ubuntu.com/tutorials/
- Prejdite si https://kubernetes.io/docs/tutorials/hello-minikube/ alebo pododbný tutoriály




Virtuálne stretnutie 16.10.


Stav:
- Prečítanie články
- začatý tutorál Docker zo ZCT
- vedúci vytovoril prístup na Jetson Xavier  AGX2 s ARM procesorom.
- začatý nákup na Raspberry Pi a príslušenstvo.

Úlohy do ďalšieho stretnutia
- Vypracovať prehľad (min 4) existujúcich riešení Raspberry Pi cluster (na odovzdanie). Aký hardware a software použili?
    - napájanie, chladenie, sieťové prepojenie
- Oboznámte sa s https://www.raspberrypi.org/downloads/raspberry-pi-os/
- Nainštalujte si https://roboticsbackend.com/install-raspbian-desktop-on-a-virtual-machine-virtualbox/
- Napíšte podrobný návrh hardware pre vytvorenie Raspberry Pi Cluster.

Stretnutie 29.9.


Dohodli sme sa na zadaní práce.

Návrhy na zlepšenie (pre vedúceho):

- Zistiť podmienky financovania (odhad 350EUR).
- K dispozícii je ARM počítač "Jetson Xavier AGX" - vytvoriť prístup.

Úlohy na ďalšie stretnutie: 

- Prečítajte si:
    - https://magpi.raspberrypi.org/articles/build-a-raspberry-pi-cluster-computer
    - https://www.raspberrypi.org/blog/five-years-of-raspberry-pi-clusters/
    - https://kubecloud.io/setting-up-a-kubernetes-on-arm-cluster-on-raspberry-pis-f7f64065138c
    - https://kubernetes.io/docs/tutorials/
    - https://student.kemt.fei.tuke.sk/predmety/zct
- Nainštalujte si:
    - https://kubernetes.io/docs/tasks/tools/install-minikube/
    - Docker
- Pripravte návrh aký hardware a software bude potrebný.

Podmienkou pre získanie zápočtu je účasť na konzultácii min. raz za 2 týždne. Menej ako 6 konzultácií za semester je dôvod pre zníženie hodnotenia alebo neudelenie zápočtu.
Komunikácia je možná aj cez [MS Teams](https://teams.microsoft.com/l/team/19%3aa8596a401a3842e5b91ac918a2a0afb1%40thread.tacv2/conversations?groupId=4fc0c627-d424-4587-b73a-2e47509862e9&tenantId=1c9f27ef-fee6-45f4-9a64-255a8c8e25a5).
