---
title: Anotácia otázok a odpovedí
published: true
process:
  twig: true
cache_enable: false
taxonomy:
  author: Daniel Hladek
  categories: [project]
  tags: [question-answer,annotation]
forms:
  question1:
    name: question1
    fields:
    - name: name
      label: Login
      placeholder: Váš e-mail
      autofocus: on
      autocomplete: on
      type: email
      validate:
        required: true
        message: Musíte zadať platný e-mail aby sa započítala anotácia
    buttons:
    - type: submit
      value: Začni anotovať
    process:
    - redirect: "https://question.tukekemt.xyz/?session={{ form.value.name }}"
  questionapp:
    name: questionapp
    fields:
    - name: name
      label: Login
      placeholder: Váš e-mail
      autofocus: on
      autocomplete: on
      type: email
      validate:
        required: true
        message: Zadajte e-mail s anotáciami
    buttons:
    - type: submit
      value: Koľko som anotoval?
    process:
    - redirect: "https://app.question.tukekemt.xyz/annotator/{{ form.value.name }}"

---


# Slovenský korpus otázok a odpovedí

Pomôžte nám pri vedeckom výskume tým, že naučíte stroj odpovedať na otázky z Wikipédie. 
Učenie prebieha tak, že vytvoríte príklad s otázkou a odpoveďou. Účasť v tomto experimente Vám pomôže vylepšiť Vaše študijné výsledky a vyhrať televízny kvíz "Tisícionár".

## Návod pre anotátorov

Ak chcete, pozrite si [videonávod](https://files.kemt.fei.tuke.sk/predmety/question_answer/navod1.mp4) a [motivačnú prednášku](https://files.kemt.fei.tuke.sk/predmety/usaa/videa/usaa20pr10.mp4) o  systémoch na generovanie odpovede na otázku v prirodzenom jazyku.

Najprv sa Vám zobrazí krátky článok.  Vašou úlohou bude prečítať si časť článku, vymyslieť k nemu otázku a v texte vyznačiť odpoveď.   Na vyznačenie jednej otázky máte asi 50 sekúnd.

1. Prečítajte si článok. Ak článok nie je vyhovujúci ťuknite na červený krížik "Reject" (Tab a potom 'x').
2. Napíšte otázku. Ak neviete napísať otázku, ťuknite na "Ignore" (Tab a potom 'i'). 
3. Vyznačte myšou odpoveď a ťuknite na zelenú fajku "Accept" (klávesa a) a pokračujte ďalšou otázkou k tomu istému článku alebo k novému článku. 
4. Ten istý článok sa Vám zobrazí 5 krát, vymyslite k nemu 5 rôznych otázok. 
5. Ak sa Vám zobrazí hlasenie "No tasks available", skúste obnoviť stránku.

Aby bola anotácia platná:

- Otázka musí byť jednoznačná.
- Odpoveď sa musí nachádzať v článku.

Ak je zobrazený text nevhodný, tak ho zamietnite. Nevhodný text:

- Príliš krátky na 5 otázok.
- Obsahuje chyby formátovania.
- Obsahuje príliš veľa zoznamov.
- Obsahuje málo súvislého textu 
- Obsahuje veľa skratkovitých informácií.
- Obsahuje príliš málo faktov.

## Začnite anotovať

Do formulára napíšte Váš e-mail aby bolo možné rozpoznať, kto vykonal anotáciu. 


{% include "forms/form.html.twig" with { form: forms('question1') } %}

Pozrite sa koľko ste anotovali. Súčet sa synchronizuje raz za hodinu:

{% include "forms/form.html.twig" with { form: forms('questionapp') } %}


## Príklad na anotáciu otázok

<span style="color:red"> Lyzozómy sú sférické organely s jednoduchou membránou </span>, ktoré <span style="color:green">vznikajú v Golgiho aparáte</span> a <span style="color:magenta">obsahujú enzýmy kyslých hydroláz</span>. <span style="color:pink"> Slúžia na odbúravanie endogénneho a exogénneho materiálu v bunkách a bunkových štruktúrach, ktoré stratili funkčnosť</span>. Tento jav sa označuje ako autofágia. <span style="color:orange"> Autofágia je normálny fyziologický proces v každej zdravej bunke. V mŕtvych, alebo nevratne poškodených bunkách membrány lyzozómov praskajú a enzýmy rozložia celý obsah bunky.</span> 

1. <span style="color:red"> Čo to je lyzozóm? </span>
2. <span style="color:green">Kde vznikajú lyzozómy?<span>
3. <span style="color:magenta">Aké enzýmy obsahuje lyzozóm?<span>
4. <span style="color:pink">Na čo slúži lyzozóm?</span>
5. <span style="color:orange">Čo je to autofágia?<span>

Príklad na nesprávu otázku:
1. Čo je to Golgiho aparát? - odpoveď sa v článku nenachádza.
2. Čo sa deje v mŕtvych bunkách? - otázka nie je jednoznačná, presná odpoveď sa v článku nenachádza.
3. Čo je normálny fyziologický proces? - odpoveď sa v článku nenachádza.


